<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::internal::EventRecordingListener2 Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1internal_1_1EventRecordingListener2.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">testing::internal::EventRecordingListener2 Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for testing::internal::EventRecordingListener2:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classtesting_1_1internal_1_1EventRecordingListener2__inherit__graph.svg" width="202" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for testing::internal::EventRecordingListener2:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classtesting_1_1internal_1_1EventRecordingListener2__coll__graph.svg" width="202" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a59b5e3d73b6ebb26e06dd28084ad9f68"><td class="memItemLeft" align="right" valign="top"><a id="a59b5e3d73b6ebb26e06dd28084ad9f68"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>EventRecordingListener2</b> (const char *name)</td></tr>
<tr class="separator:a59b5e3d73b6ebb26e06dd28084ad9f68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtesting_1_1TestEventListener"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtesting_1_1TestEventListener')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtesting_1_1TestEventListener.html">testing::TestEventListener</a></td></tr>
<tr class="memitem:ac48628c9f78d3e10bff77c7366e9e780 inherit pub_methods_classtesting_1_1TestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="ac48628c9f78d3e10bff77c7366e9e780"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestCaseStart</b> (const TestCase &amp;)</td></tr>
<tr class="separator:ac48628c9f78d3e10bff77c7366e9e780 inherit pub_methods_classtesting_1_1TestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cada1572dde8010b94f6dd237ce52f4 inherit pub_methods_classtesting_1_1TestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="a6cada1572dde8010b94f6dd237ce52f4"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestCaseEnd</b> (const TestCase &amp;)</td></tr>
<tr class="separator:a6cada1572dde8010b94f6dd237ce52f4 inherit pub_methods_classtesting_1_1TestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a461f961badc2be6e633df136bc8e3d29"><td class="memItemLeft" align="right" valign="top"><a id="a461f961badc2be6e633df136bc8e3d29"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestProgramStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:a461f961badc2be6e633df136bc8e3d29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab208d8583e6593b4c7d89db6f8f2600b"><td class="memItemLeft" align="right" valign="top"><a id="ab208d8583e6593b4c7d89db6f8f2600b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestIterationStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;, int iteration) override</td></tr>
<tr class="separator:ab208d8583e6593b4c7d89db6f8f2600b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a555f80451b123922a7f21930e45a256f"><td class="memItemLeft" align="right" valign="top"><a id="a555f80451b123922a7f21930e45a256f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsSetUpStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:a555f80451b123922a7f21930e45a256f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6a3c429dd5df55c869377186411a90a"><td class="memItemLeft" align="right" valign="top"><a id="ae6a3c429dd5df55c869377186411a90a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsSetUpEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:ae6a3c429dd5df55c869377186411a90a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bc3ac71f7f96e9c62b0c7dffd5f66b0"><td class="memItemLeft" align="right" valign="top"><a id="a6bc3ac71f7f96e9c62b0c7dffd5f66b0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestSuiteStart</b> (const <a class="el" href="classtesting_1_1TestSuite.html">TestSuite</a> &amp;) override</td></tr>
<tr class="separator:a6bc3ac71f7f96e9c62b0c7dffd5f66b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3231fff64b23bbd05e3a2cc57e20df9"><td class="memItemLeft" align="right" valign="top"><a id="ac3231fff64b23bbd05e3a2cc57e20df9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestStart</b> (const <a class="el" href="classtesting_1_1TestInfo.html">TestInfo</a> &amp;) override</td></tr>
<tr class="separator:ac3231fff64b23bbd05e3a2cc57e20df9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c7bd2ef9f0e467b408dcb4c984cb3fc"><td class="memItemLeft" align="right" valign="top"><a id="a0c7bd2ef9f0e467b408dcb4c984cb3fc"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestPartResult</b> (const TestPartResult &amp;) override</td></tr>
<tr class="separator:a0c7bd2ef9f0e467b408dcb4c984cb3fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8651cee935f60407bd65d0162a6d9629"><td class="memItemLeft" align="right" valign="top"><a id="a8651cee935f60407bd65d0162a6d9629"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestEnd</b> (const <a class="el" href="classtesting_1_1TestInfo.html">TestInfo</a> &amp;) override</td></tr>
<tr class="separator:a8651cee935f60407bd65d0162a6d9629"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefd67a80de94cdd8e2e43c0fad812bd2"><td class="memItemLeft" align="right" valign="top"><a id="aefd67a80de94cdd8e2e43c0fad812bd2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestSuiteEnd</b> (const <a class="el" href="classtesting_1_1TestSuite.html">TestSuite</a> &amp;) override</td></tr>
<tr class="separator:aefd67a80de94cdd8e2e43c0fad812bd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b29ac6408f671e6b0fcafba75238573"><td class="memItemLeft" align="right" valign="top"><a id="a9b29ac6408f671e6b0fcafba75238573"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsTearDownStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:a9b29ac6408f671e6b0fcafba75238573"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0c920b1264e59dfa7e8c9d159a77e8b"><td class="memItemLeft" align="right" valign="top"><a id="ac0c920b1264e59dfa7e8c9d159a77e8b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsTearDownEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:ac0c920b1264e59dfa7e8c9d159a77e8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae93c576efaf6f6d3afc455d05aa9eda8"><td class="memItemLeft" align="right" valign="top"><a id="ae93c576efaf6f6d3afc455d05aa9eda8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestIterationEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;, int iteration) override</td></tr>
<tr class="separator:ae93c576efaf6f6d3afc455d05aa9eda8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95aeef757bba790c159b5a422030a86b"><td class="memItemLeft" align="right" valign="top"><a id="a95aeef757bba790c159b5a422030a86b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestProgramEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:a95aeef757bba790c159b5a422030a86b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>googletest-listener-test.cc</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><b>internal</b></li><li class="navelem"><a class="el" href="classtesting_1_1internal_1_1EventRecordingListener2.html">EventRecordingListener2</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
